summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2018-10-11 21:58:36 +0200
committerTupone Alfredo <tupone@gentoo.org>2018-10-11 21:58:36 +0200
commit44b7ca22b1a0ef980ca90be09df58165538101df (patch)
treeefaa151ddacefc98d20bc971beaae6f4585b84ec /dev-tcltk
parentdev-lang/mujs: amd64 stable wrt bug #646784 (diff)
downloadgentoo-44b7ca22b1a0ef980ca90be09df58165538101df.tar.gz
gentoo-44b7ca22b1a0ef980ca90be09df58165538101df.tar.bz2
gentoo-44b7ca22b1a0ef980ca90be09df58165538101df.zip
dev-tcltk/itk: Bump to 4.1.0
Signed-off-by: Alfredo Tupone <tupone@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'dev-tcltk')
-rw-r--r--dev-tcltk/itk/Manifest1
-rw-r--r--dev-tcltk/itk/itk-4.1.0.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-tcltk/itk/Manifest b/dev-tcltk/itk/Manifest
index 0f32051dfc2..f40d2d58b20 100644
--- a/dev-tcltk/itk/Manifest
+++ b/dev-tcltk/itk/Manifest
@@ -1,3 +1,4 @@
DIST itk3.4.1.tar.gz 182311 BLAKE2B e1db1b9f7e6e8c5b93eec5bb29fc24af7e6cc5cb3f209df346f03553d3fe7248614c9bb10e2ababd93ea56c63963c1db4ee65bedbae8c279fbe84b6d0eaad3f9 SHA512 4680db81a0212e695cfe2c40cabe6dceb94520cf3ee06e2e332f12316838726da14c0b925b117ea351aa14fd2d695f361bcb4062743c66099ef783ae31ab37ef
DIST itk4.0.0.tar.gz 177838 BLAKE2B 6bb975c414d40c81bac4b8651ce89f0d84d712114e6f60e1555071d2079f778850f4de7df1a79254db1d1152e8d43f261e0bf9827737fb69abb2801e72d72d6d SHA512 4fd993e3683376bd2852a19e8ac63ec20a9319f3987737a32f7af78b645ff27416b18572b7e30fc1e41a5e4e06ac064280fd86d979738ca9906e2605069c51f3
DIST itk4.0.1.tar.gz 182029 BLAKE2B fe3ed0adddf71af9bf795949b18baf7d983edc1e6e95939db18bdf896069083afbc8498935b0c59e2c5f4179fdc6f624e67198afa0755e8183d754c181d50642 SHA512 d64beeb42949e96b384ef2fd571971813697086df8b18af79399cedbb80eba19dc013677957959ea93dc0dcd7cdc4be012b3f9a5f0eedf0bd743550837bd78fc
+DIST itk4.1.0.tar.gz 253796 BLAKE2B 7d51689d41871f39fbdf940f1aede2c89ee0165cc6be989f7da65df85a0d15e5db037722a5e30a284e51129b7bfff20dfde0fbc78d2d72d8acb9031f328a5d16 SHA512 1deed09daf66ae1d0cc88550be13814edff650f3ef2ecb5ae8d28daf92e37550b0e46921eb161da8ccc3886aaf62a4a3087df0f13610839b7c2d6f4b39c9f07e
diff --git a/dev-tcltk/itk/itk-4.1.0.ebuild b/dev-tcltk/itk/itk-4.1.0.ebuild
new file mode 100644
index 00000000000..dacfecf0fd0
--- /dev/null
+++ b/dev-tcltk/itk/itk-4.1.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib virtualx
+
+MY_PV=${PV/_beta/b}
+ITCL_VERSION=$(ver_cut 1-2)
+
+DESCRIPTION="Object Oriented Enhancements for Tcl/Tk"
+HOMEPAGE="http://incrtcl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/incrtcl/%5Bincr%20Tcl_Tk%5D-4-source/itk%20${MY_PV}/${PN}${MY_PV}.tar.gz"
+
+IUSE=""
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ >=dev-lang/tk-8.6:=
+ =dev-tcltk/itcl-${ITCL_VERSION}*"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}${MY_PV}"
+
+src_prepare() {
+ mv configure.{in,ac} || die
+ AT_M4DIR=.. eautoconf
+ sed 's:-pipe::g' -i configure || die
+ default
+}
+
+src_configure() {
+ source "${EPREFIX}"/usr/$(get_libdir)/itcl${ITCL_VERSION}*/itclConfig.sh || die
+ econf \
+ --with-tcl="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tclinclude="${EPREFIX}"/usr/include \
+ --with-tk="${EPREFIX}"/usr/$(get_libdir) \
+ --with-tkinclude="${EPREFIX}"/usr/include \
+ --with-itcl="${ITCL_SRC_DIR}" \
+ --with-x
+}
+
+src_compile() {
+ emake CFLAGS_DEFAULT="${CFLAGS}"
+}
+
+src_test() {
+ virtx default
+}
+
+src_install() {
+ default
+
+ dodoc license.terms
+
+ cat >> "${T}"/34${PN} <<- EOF
+ LDPATH="${EPREFIX}/usr/$(get_libdir)/${PN}${MY_PV}/"
+ EOF
+ doenvd "${T}"/34${PN}
+}